<?php

namespace App\Http\Controllers\frontend;
use App\Http\Controllers\Controller;
use App\Models\Produit;
use App\Models\Categorie;

use Illuminate\Http\Request;

class ProduitController extends Controller
{

    public function Index(){
      
        $produits = Produit::where('etat','1')->get();
        $categories = Categorie::where('etat','1')->get();
      

        
        return view('frontend.produits.produit',compact('produits','categories'));
    } 
    public function search(){

        $categories = Categorie::where('etat','1')->get();
        
        $q = request()->input('q');

        
          $produits = Produit::where('nom','like',"%$q%")
          ->where('etat',true)
          ->orwhere('description','like',"%$q%")
          ->paginate(5);
      

        return view('frontend.produits.search' , compact('produits','categories'));
    }
}
